{ config, lib, pkgs, ... }:

{
  # Improve nix-shell and direnv integration
  services.lorri.enable = true;

  # Enable virtualisation
  virtualisation.libvirtd = {
    enable = true;
    onBoot = "ignore";
    onShutdown = "shutdown";
    qemuPackage = pkgs.qemu_kvm;
  };

  # Set up podman
  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
    };
  };
}
